Skip to main content
Get asset group by name
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

User defined name of the asset group, unique across the enterprise. Once object is created, name can’t be changed

Response

A successful response.

id
string
read-only

unique Id of the asset group.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
name
string

User defined name of the asset group, unique across the enterprise. Once asset group is created, name can’t be changed.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string

User defined title of the asset group. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
description
string

Detailed description of the asset group.

Maximum string length: 256
projectId
string

project id

assetIds
AssetIDs - represents a list of asset IDs · object
assetTags
object
assetCount
integer<int64>